> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Component Instance Properties

> Get the values of properties for a component instance



## OpenAPI

````yaml GET /components/instances/{id}/properties
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /components/instances/{id}/properties:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
    get:
      tags:
        - Properties
      summary: Get Component Instance Properties
      description: Get the values of properties for a component instance
      operationId: get-components-instances-id-properties
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Parametric-data'
                  x-stoplight:
                    id: ckwm329957h5v
components:
  schemas:
    Parametric-data:
      x-stoplight:
        id: ckwm329957h5v
      title: parametric-data
      type: object
      properties:
        id:
          type: string
          x-stoplight:
            id: lrr1iz62ms6de
          format: uuid
        company_id:
          type: string
          x-stoplight:
            id: j4hpz7o5b8kad
          format: uuid
        process_entry_id:
          type: string
          x-stoplight:
            id: rr34sn56qtgjn
          format: uuid
        unique_identifier_id:
          type: string
          x-stoplight:
            id: guf7rlvrlult8
          format: uuid
        value:
          x-stoplight:
            id: kir4p2frwei34
          type:
            - string
            - number
        created_at:
          type: string
          x-stoplight:
            id: 4k9q22wtyf1sb
          format: date-time
        usl:
          type: number
          x-stoplight:
            id: qxpo9yl6988zz
        lsl:
          type: number
          x-stoplight:
            id: 5jo2j54t1cel3
        is_pass:
          type: boolean
          x-stoplight:
            id: mb6fgktjbl51f
        is_discrete:
          type: boolean
          x-stoplight:
            id: g9o7cnfm3i96w
        unit:
          type: string
          x-stoplight:
            id: 8mno949zw4pnx
        dataset:
          $ref: '#/components/schemas/Dataset'
          x-stoplight:
            id: 0ibw2anbbs5p9
      required:
        - id
        - company_id
        - process_entry_id
        - unique_identifier_id
        - value
        - created_at
    Dataset:
      title: dataset
      x-stoplight:
        id: iiu8knc4acvpa
      type: object
      properties:
        id:
          type: string
          x-stoplight:
            id: wio3vp0cm0fq4
          format: uuid
          description: Database id for the dataset
        name:
          type: string
          x-stoplight:
            id: fupp56885vrju
          description: User facing name for the dataset
        process_id:
          type: string
          x-stoplight:
            id: skd4qq54fz57r
          format: uuid
          description: Process id associated with the dataset
        order:
          type: number
          x-stoplight:
            id: zzfl7t7gvuwb2
          description: Order in which the dataset shows up relative to others
        data_type:
          x-stoplight:
            id: i4n72h73xm52j
          enum:
            - PARAMETRIC_QUANTITATIVE
            - PARAMETRIC_QUALITATIVE
            - CHECKBOX
            - LINK
            - IMAGE
            - FILE
            - UID
        created_at:
          type: string
          x-stoplight:
            id: n4c3o36snokxc
          format: date-time
        process_revision:
          type: number
          x-stoplight:
            id: 5tjt8999oe9td
        lsl:
          type: number
          x-stoplight:
            id: o0elt8fqpzo5i
          format: float
        usl:
          type: number
          x-stoplight:
            id: zzrlpmspu15sb
          format: float
        unit:
          type: string
          x-stoplight:
            id: 3ihnhzdml8bes
        child_component_id:
          type: string
          x-stoplight:
            id: 2dge3xb5d9qef
          format: uuid
        expected_value:
          x-stoplight:
            id: dl3g53jhj5fwh
          enum:
            - true
            - false
        is_active:
          type: boolean
          x-stoplight:
            id: m6l2f2rxe6dop
        values:
          type: array
          x-stoplight:
            id: u0swn0n8i7i1u
          description: Used for property datasets, is a LRU cache of used values
          items:
            x-stoplight:
              id: 066q24jia55ck
            type: string
      required:
        - id
        - name
        - process_id
        - data_type
        - created_at
        - process_revision
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````